Subject: Re: [PATCH 6/8] bootwrapper: convert flatdevtree to version 16

From: Scott Wood <[email-masked]>
Date: Wed, 11 Apr 2007 11:30:38 -0500

Milton Miller wrote:
> kexec-tools still produces a version 2 device tree, while the
> libraries in the wrapper only support version 16 and later.
> 
> Add a routine to convert a v2 flat device tree to a v16 one inplace
> by inserting OF_DT_NOP and chomping full path.  Make space for new
> headers by moving and then chomping the OF_DT_NOPs.

Why not fix kexec-tools to generate a version 17 device tree?

-Scott